import { Props, Data, ValueTypeDataFieldNames } from '../../utils/props';
export interface PieProps extends Props {
    data: Data;
    titleText: string;
    titleSubtext: string;
    titleFontSize: string;
    titleColor: string;
    fontWeight: number;
    textAlign: 'left' | 'right' | 'center';
    titleLeft: string;
    colors: string[];
    backgroundColor: string;
    tooltipShow: boolean;
    toolboxDownloadShow: boolean;
    toolboxDataZoomShow: boolean;
    toolboxInfoShow: boolean;
    tooltipTrigger: 'item' | 'axis' | 'none';
    tooltipTextStyleColor: string;
    tooltipFormatter: string;
    tooltipPosition: string;
    legendShow: boolean;
    legendLeft: 'left' | 'center' | 'right';
    legendTop: 'top' | 'middle' | 'bottom';
    legendOrient: 'vertical' | 'horizontal';
    legendTextStyleColor: string;
    innerRadius: string;
    outerRadius: string;
    centerLeft: string;
    centerTop: string;
    minAngle: number;
    labelShow: boolean;
    labelFormatter: string;
    labelFontSize: number;
    labelPosition: 'outside' | 'inside' | 'center';
    labelLineShow: boolean;
    labelColor: string;
    labelWidth: number;
    labelOverflow: 'none' | 'truncate' | 'break';
    isUseLabelColors: boolean;
    labelLineLength: number;
    labelLineLength2: number;
    roseType: '' | 'radius' | 'area';
    valueTypeDataFieldNames: ValueTypeDataFieldNames;
    dataFieldConfigType: 'key' | 'value';
    gridContainLabel: boolean;
    gridTop: string;
    gridBottom: string;
    gridLeft: string;
    gridRight: string;
    graphicConfig: {
        [key: string]: any;
    };
    toolboxShow: boolean;
    toolboxOrient: 'horizontal' | 'vertical';
    toolboxItemSize: number;
    toolboxItemGap: number;
    toolboxLeft: 'left' | 'center' | 'right';
    toolboxTop: 'top' | 'middle' | 'bottom';
    toolboxIconStyleBorderColor: string;
    toolboxDownloadUrl: string;
    toolboxInfoText: string;
    legendItemGap: number;
    legendItemWidth: number;
    legendItemHeight: number;
    legendFormatter: string;
    legendFontSize: string;
    graphicType: string;
    legendWidth: number | null;
    legendHeight: number | null;
    legendTextWidth: number | null;
    legendScroll: boolean;
    legendType: string;
    noDataTip: boolean;
    tipText: string;
    tipTextColor: string;
    tipTextFontSize: string;
}
export declare const pieProps: PieProps;
export declare const pieComponentProps: {
    data: {
        type?: import("vue").PropType<Data>;
        default?: Data;
    };
    titleText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleSubtext: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    textAlign: {
        type?: import("vue").PropType<"left" | "center" | "right">;
        default?: "left" | "center" | "right";
    };
    titleLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    colors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDownloadShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDataZoomShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipTrigger: {
        type?: import("vue").PropType<"none" | "axis" | "item">;
        default?: "none" | "axis" | "item";
    };
    tooltipTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipPosition: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendLeft: {
        type?: import("vue").PropType<"left" | "center" | "right">;
        default?: "left" | "center" | "right";
    };
    legendTop: {
        type?: import("vue").PropType<"top" | "bottom" | "middle">;
        default?: "top" | "bottom" | "middle";
    };
    legendOrient: {
        type?: import("vue").PropType<"vertical" | "horizontal">;
        default?: "vertical" | "horizontal";
    };
    legendTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    innerRadius: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    outerRadius: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    centerLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    centerTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    minAngle: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    labelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelFontSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelPosition: {
        type?: import("vue").PropType<"center" | "inside" | "outside">;
        default?: "center" | "inside" | "outside";
    };
    labelLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    labelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelOverflow: {
        type?: import("vue").PropType<"none" | "truncate" | "break">;
        default?: "none" | "truncate" | "break";
    };
    isUseLabelColors: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    labelLineLength: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelLineLength2: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    roseType: {
        type?: import("vue").PropType<"" | "area" | "radius">;
        default?: "" | "area" | "radius";
    };
    valueTypeDataFieldNames: {
        type?: import("vue").PropType<ValueTypeDataFieldNames>;
        default?: ValueTypeDataFieldNames;
    };
    dataFieldConfigType: {
        type?: import("vue").PropType<"key" | "value">;
        default?: "key" | "value";
    };
    gridContainLabel: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gridTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridBottom: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridRight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxOrient: {
        type?: import("vue").PropType<"vertical" | "horizontal">;
        default?: "vertical" | "horizontal";
    };
    toolboxItemSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxLeft: {
        type?: import("vue").PropType<"left" | "center" | "right">;
        default?: "left" | "center" | "right";
    };
    toolboxTop: {
        type?: import("vue").PropType<"top" | "bottom" | "middle">;
        default?: "top" | "bottom" | "middle";
    };
    toolboxIconStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxDownloadUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxInfoText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    graphicType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendTextWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendScroll: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    noDataTip: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tipText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import('../../utils/props').Events>;
        default?: import('../../utils/props').Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import('../../utils/props').RequestMethod>;
        default?: import('../../utils/props').RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import('../../utils/props').RequestParams>;
        default?: import('../../utils/props').RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
};
export declare const pieEvents: Array<string>;
